<?php
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    include('connexion.php');

    $nom_utilisateur = $_POST['nom_utilisateur'];
    $mot_de_passe = $_POST['mot_de_passe'];

    $query = "SELECT id_utilisateur, nom_utilisateur, mot_de_passe FROM utilisateurs WHERE nom_utilisateur = :nom_utilisateur";
    $stmt = $db->prepare($query);
    $stmt->bindParam(':nom_utilisateur', $nom_utilisateur);
    $stmt->execute();
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user && password_verify($mot_de_passe, $user['mot_de_passe'])) {
        $_SESSION['logged_in'] = true;
        $_SESSION['id_utilisateur'] = $user['id_utilisateur'];
        header('Location: index.php');
        exit;
    } else {
        echo "Identifiants incorrects. Veuillez réessayer.";
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Se connecter</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f2f2f2;
        }

        h1 {
            text-align: center;
            color: #333;
        }

        form {
            max-width: 300px;
            margin: 20px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        input[type="text"],
        input[type="password"],
        input[type="submit"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 3px;
            box-sizing: border-box;
        }

        input[type="submit"] {
            background-color: #4CAF50;
            color: white;
            border: none;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #45a049;
        }

        a {
            display: block;
            text-align: center;
            text-decoration: none;
            color: #333;
            margin-top: 10px;
        }

        a:hover {
            text-decoration: underline;
        }
    </style>

</head>
<body>
    <h1>Se connecter</h1>
    <form action="login.php" method="post">
        <input type="text" name="nom_utilisateur" placeholder="Nom d'utilisateur" required><br>
        <input type="password" name="mot_de_passe" placeholder="Mot de passe" required><br>
        <input type="submit" value="Se connecter">
    </form>
    <a href="inscription.php">S'inscrire</a>
</body>
</html>
